<?php
/**
 * progression Theme Customizer
 *
 * @package progression
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function progression_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';
}
add_action( 'customize_register', 'progression_customize_register' );

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function progression_customize_preview_js() {
	wp_enqueue_script( 'progression_customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), '20130508', true );
}
add_action( 'customize_preview_init', 'progression_customize_preview_js' );



/**
 * Adds the individual sections, settings, and controls to the theme customizer
 */
function progression_customizer( $wp_customize ) {
	
	// Adds abaillity to add text area
	if ( class_exists( 'WP_Customize_Control' ) ) { 
		# Adds textarea support to the theme customizer 
		class ProgressionTextAreaControl extends WP_Customize_Control { 
			public $type = 'textarea'; 
			public function __construct( $manager, $id, $args = array() ) { 
				$this->statuses = array( '' => __( 'Default', 'progression' ) ); 
				parent::__construct( $manager, $id, $args ); 
			}   
			
			public function render_content() { 
				echo '<label> 
				<span class="customize-control-title">' . esc_html( $this->label ) . '</span> 
				<textarea rows="5" style="width:100%;" '; $this->link(); echo '>' . esc_textarea( $this->value() ) . '</textarea> 
				</label>'; } 
			}   
		}
		
//Add Section Page of Theme Settings
    $wp_customize->add_section(
        'options_panel_progression',
        array(
            'title' => __('Theme Settings', 'progression'),
            'description' => __('Main Theme Settings', 'progression'),
            'priority' => 35,
        )
    );
	
	//Logo Uploader
	$wp_customize->add_setting( 
		'logo_upload' ,
		array(
	        'default' => get_template_directory_uri().'/images/logo.png',
	    )
	);
	$wp_customize->add_control(
	    new WP_Customize_Image_Control(
	        $wp_customize,
	        'logo_upload',
	        array(
	            'label' => __('Theme Logo', 'progression'), 
	            'section' => 'options_panel_progression',
	            'settings' => 'logo_upload',
					'priority'   => 5,
	        )
	    )
	);
	
	//Logo Width
	$wp_customize->add_setting( 
		'logo_width' ,
		array(
	        'default' => '157',
	    )
	);
	$wp_customize->add_control(
   'logo_width',
   	array(
	   	'label' => __('Logo Width', 'progression'), 
			'section' => 'options_panel_progression',
			'type' => 'text',
			'priority'   => 7,
	    )
	);
	
	//Header Padding
	$wp_customize->add_setting( 
		'header_padding' ,
		array(
	        'default' => '24',
	    )
	);
	$wp_customize->add_control(
   'header_padding',
   	array(
	   	'label' => __('Header Text Margin Top', 'progression'), 
			'section' => 'options_panel_progression',
			'type' => 'text',
			'priority'   => 9,
	    )
	);
	
	

	// Add Copyright Text
	$wp_customize->add_setting(
	    'copyright_textbox',
	    array(
	        'default' => '&copy; 2014 All Rights Reserved. Developed by ProgressionStudios',
	    )
	);

	$wp_customize->add_control(new ProgressionTextAreaControl( $wp_customize, 'copyright_textbox', array( 
		'label' => __('Copyright Text', 'progression'), 
		'section' => 'options_panel_progression', 
		'settings' => 'copyright_textbox', 
		'priority' => 10, ) 
		)
	);
	
	
	
	//Comment Options
	$wp_customize->add_setting( 
		'comment_progression' 
	);
	$wp_customize->add_control(
   'comment_progression',
   	array(
	   	'label' => __('Display comments for pages?', 'progression'), 
			'section' => 'options_panel_progression',
			'type' => 'checkbox',
			'priority'   => 11,
	    )
	);
	
	//Portfolio Categories
	$wp_customize->add_setting( 
		'portfolio_col_progression' ,
		array(
	        'default' => '2',
	    )
	);
	$wp_customize->add_control(
   'portfolio_col_progression',
   	array(
	   	'label' => __('Portfolio posts per column (2-5)', 'progression'), 
			'section' => 'options_panel_progression',
			'type' => 'text',
			'priority'   => 40,
	    )
	);
	
	
	//Portfolio Pagination
	$wp_customize->add_setting( 
		'portfolio_pages_progression' ,
		array(
	        'default' => '12',
	    )
	);
	$wp_customize->add_control(
   'portfolio_pages_progression',
   	array(
	   	'label' => __('Portfolio posts per page', 'progression'), 
			'section' => 'options_panel_progression',
			'type' => 'text',
			'priority'   => 45,
	    )
	);
	
	
	//Shop Column Count
	$wp_customize->add_setting( 
		'shop_col_progression' ,
		array(
	        'default' => '3',
	    )
	);
	$wp_customize->add_control(
   'shop_col_progression',
   	array(
	   	'label' => __('Shop posts per column (2-4)', 'progression'), 
			'section' => 'options_panel_progression',
			'type' => 'text',
			'priority'   => 50,
	    )
	);
	


	//Add Section Page of Theme Settings
	    $wp_customize->add_section(
	        'home_options_progression',
	        array(
	            'title' => __('Slider Settings', 'progression'),
	            'description' => __('Slider Theme Settings', 'progression'),
	            'priority' => 40,
	        )
	    );
		

	
	//Slider AutoPLay
	$wp_customize->add_setting( 
		'slide_transition' ,
		array(
	        'default' => 'fade',
	    )
	);
	$wp_customize->add_control(
   'slide_transition',
   	array(
	   	'label' => __('Slider Transition', 'progression'), 
			'section' => 'home_options_progression',
			'type' => 'select',
			'priority'   => 23,
			'choices'    => array(							
			        'fade' => 'Fade',
			        'slide' => 'Slide',
			    ),
	    )
	);
	
	
	
	//Slider AutoPLay
	$wp_customize->add_setting( 
		'slide_autoplay' ,
		array(
	        'default' => 'true',
	    )
	);
	$wp_customize->add_control(
   'slide_autoplay',
   	array(
	   	'label' => __('Slider AutoPlay', 'progression'), 
			'section' => 'home_options_progression',
			'type' => 'select',
			'priority'   => 25,
			'choices'    => array(							
			        'true' => 'On',
			        'false' => 'Off',
			    ),
	    )
	);
	
	//Slider AutoPLay Timer
	$wp_customize->add_setting( 
		'slide_autoplay_timer' ,
		array(
	        'default' => '7500',
	    )
	);
	$wp_customize->add_control(
   'slide_autoplay_timer',
   	array(
	   	'label' => __('Slider AutoPlay Timer (in milliseconds)', 'progression'), 
			'section' => 'home_options_progression',
			'type' => 'text',
			'priority'   => 28,
	    )
	);
	
	//Slider Next/Previous
	$wp_customize->add_setting( 
		'slide_nextprev' ,
		array(
	        'default' => 'true',
	    )
	);
	$wp_customize->add_control(
   'slide_nextprev',
   	array(
	   	'label' => __('Slider Next/Previous Arrows', 'progression'), 
			'section' => 'home_options_progression',
			'type' => 'select',
			'priority'   => 30,
			'choices'    => array(							
			        'true' => 'On',
			        'false' => 'Off',
			    ),
	    )
	);
	
	
	
	//Slider Thumbnails
	$wp_customize->add_setting( 
		'slide_thumbs' ,
		array(
	        'default' => 'true',
	    )
	);
	$wp_customize->add_control(
   'slide_thumbs',
   	array(
	   	'label' => __('Slider Thumbnail Navigation', 'progression'), 
			'section' => 'home_options_progression',
			'type' => 'select',
			'priority'   => 35,
			'choices'    => array(							
			        'true' => 'On',
			        'false' => 'Off',
			    ),
	    )
	);

//Add Section Page of Footer Settings
    $wp_customize->add_section(
        'footer_options_progression',
        array(
            'title' => __('Social Icon Settings', 'progression'),
            'description' => 'Footer Settings here!',
            'priority' => 45,
        )
    );
	

	
	//Facebook Icon
	$wp_customize->add_setting( 
		'facebook_link_progression'
	);
	$wp_customize->add_control(
   'facebook_link_progression',
   	array(
	   	'label' => __('Facebook Icon Link', 'progression'), 
			'section' => 'footer_options_progression',
			'type' => 'text',
			'priority'   => 20,
	    )
	);
	
	//Twitter Icon
	$wp_customize->add_setting( 
		'twitter_link_progression'
	);
	$wp_customize->add_control(
   'twitter_link_progression',
   	array(
	   	'label' => __('Twitter Icon Link', 'progression'), 
			'section' => 'footer_options_progression',
			'type' => 'text',
			'priority'   => 21,
	    )
	);
	
	//Google Plus Icon
	$wp_customize->add_setting( 
		'google_link_progression'
	);
	$wp_customize->add_control(
   'google_link_progression',
   	array(
	   	'label' => __('Google Plus Icon Link', 'progression'), 
			'section' => 'footer_options_progression',
			'type' => 'text',
			'priority'   => 22,
	    )
	);
	
	//Linkedin Icon
	$wp_customize->add_setting( 
		'linkedin_link_progression'
	);
	$wp_customize->add_control(
   'linkedin_link_progression',
   	array(
	   	'label' => __('LinkedIn Icon Link', 'progression'), 
			'section' => 'footer_options_progression',
			'type' => 'text',
			'priority'   => 24,
	    )
	);
	
	//Instagram Icon
	$wp_customize->add_setting( 
		'instagram_link_progression'
	);
	$wp_customize->add_control(
   'instagram_link_progression',
   	array(
	   	'label' => __('Instagram Icon Link', 'progression'), 
			'section' => 'footer_options_progression',
			'type' => 'text',
			'priority'   => 25,
	    )
	);
	
	//Pinterest Icon
	$wp_customize->add_setting( 
		'pinterest_link_progression'
	);
	$wp_customize->add_control(
   'pinterest_link_progression',
   	array(
	   	'label' => __('Pinterest Icon Link', 'progression'), 
			'section' => 'footer_options_progression',
			'type' => 'text',
			'priority'   => 26,
	    )
	);
	
	//Tumblr Icon
	$wp_customize->add_setting( 
		'tumblr_link_progression'
	);
	$wp_customize->add_control(
   'tumblr_link_progression',
   	array(
	   	'label' => __('Tumblr Icon Link', 'progression'), 
			'section' => 'footer_options_progression',
			'type' => 'text',
			'priority'   => 27,
	    )
	);
	
	
	//YouTube Icon
	$wp_customize->add_setting( 
		'youtube_link_progression'
	);
	$wp_customize->add_control(
   'youtube_link_progression',
   	array(
	   	'label' => __('YouTube Icon Link', 'progression'), 
			'section' => 'footer_options_progression',
			'type' => 'text',
			'priority'   => 28,
	    )
	);
	
	//DropBox Icon
	$wp_customize->add_setting( 
		'dropbox_link_progression'
	);
	$wp_customize->add_control(
   'dropbox_link_progression',
   	array(
	   	'label' => __('DropBox Icon Link', 'progression'), 
			'section' => 'footer_options_progression',
			'type' => 'text',
			'priority'   => 29,
	    )
	);
	
	//Flickr Icon
	$wp_customize->add_setting( 
		'flickr_link_progression'
	);
	$wp_customize->add_control(
   'flickr_link_progression',
   	array(
	   	'label' => __('Flickr Icon Link', 'progression'), 
			'section' => 'footer_options_progression',
			'type' => 'text',
			'priority'   => 30,
	    )
	);
	
	
	//Dribbble Icon
	$wp_customize->add_setting( 
		'dribbble_link_progression'
	);
	$wp_customize->add_control(
   'dribbble_link_progression',
   	array(
	   	'label' => __('Dribbble Icon Link', 'progression'), 
			'section' => 'footer_options_progression',
			'type' => 'text',
			'priority'   => 31,
	    )
	);


//Add Section Page of Background Colors
	$wp_customize->add_section(
	'progresion_bg_images',
	array(
		'title' => __('Background Images', 'progression'),
		'description' => 'Adjust background images for the theme!',
		'priority' => 46,
		)
	);
	
	//Header Divider Background Image
	$wp_customize->add_setting( 
		'header_div_img' ,
		array(
	        'default' => get_template_directory_uri().'/images/header.png',
	    )
	);
	$wp_customize->add_control(
	    new WP_Customize_Image_Control(
	        $wp_customize,
	        'header_div_img',
	        array(
	            'label' => __('Header Divider Background (header-divider.psd)', 'progression'), 
	            'section' => 'progresion_bg_images',
	            'settings' => 'header_div_img',
					'priority'   => 10,
	        )
	    )
	);
	
	
	//Header Divider Background Image
	$wp_customize->add_setting( 
		'body_pro_bg' ,
		array(
	        'default' => get_template_directory_uri().'/images/patterns/cloth_alike.png',
	    )
	);
	$wp_customize->add_control(
	    new WP_Customize_Image_Control(
	        $wp_customize,
	        'body_pro_bg',
	        array(
	            'label' => __('Body Background Pattern', 'progression'), 
	            'section' => 'progresion_bg_images',
	            'settings' => 'body_pro_bg',
					'priority'   => 15,
	        )
	    )
	);
	
	
	//Header Divider Background Image
	$wp_customize->add_setting( 
		'body_feature_pro_bg' ,
		array(
	        'default' => get_template_directory_uri().'/images/patterns/new/classy_fabric.png',
	    )
	);
	$wp_customize->add_control(
	    new WP_Customize_Image_Control(
	        $wp_customize,
	        'body_feature_pro_bg',
	        array(
	            'label' => __('Featured Image Background Pattern', 'progression'), 
	            'section' => 'progresion_bg_images',
	            'settings' => 'body_feature_pro_bg',
					'priority'   => 20,
	        )
	    )
	);
	
	

//Add Section Page of Background Colors
    $wp_customize->add_section(
        'progression_background_colors',
        array(
            'title' => __('Background Colors', 'progression'),
            'description' => 'Adjust background colors for the theme!',
            'priority' => 50,
        )
    );
	
	$wp_customize->add_setting('header_bg', array(
	    'default'     => '#191919'
	));
	
	
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'header_bg', array(
		'label'        => __( 'Header Background Color', 'progression' ),
		'section'    => 'progression_background_colors',
		'settings'   => 'header_bg',
		'priority'   => 5,
	)));
	
	$wp_customize->add_setting('nav_bg', array(
	    'default'     => '#2c2c2c'
	));
	
	
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'nav_bg', array(
		'label'        => __( 'Sub-Navigation Background Color', 'progression' ),
		'section'    => 'progression_background_colors',
		'settings'   => 'nav_bg',
		'priority'   => 8,
	)));
	
	$wp_customize->add_setting('nav_bg_border', array(
	    'default'     => '#2f2f2f'
	));
	
	
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'nav_bg_border', array(
		'label'        => __( 'Navigation Border Color', 'progression' ),
		'section'    => 'progression_background_colors',
		'settings'   => 'nav_bg_border',
		'priority'   => 7,
	)));
	
	

	
	$wp_customize->add_setting('page_title_bg', array(
	    'default'     => '#ffffff'
	));
	
	
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'page_title_bg', array(
		'label'        => __( 'Page Title Background Color', 'progression' ),
		'section'    => 'progression_background_colors',
		'settings'   => 'page_title_bg',
		'priority'   => 12,
	)));
	
	$wp_customize->add_setting('body_bg_progression', array(
	    'default'     => '#e6e6e7'
	));
	
	
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'body_bg_progression', array(
		'label'        => __( 'Body Background Color (Only works when background image disabled)', 'progression' ),
		'section'    => 'progression_background_colors',
		'settings'   => 'body_bg_progression',
		'priority'   => 15,
	)));
	

	$wp_customize->add_setting('footer_border_progression', array(
	    'default'     => '#cfcfcf'
	));
	
	
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'footer_border_progression', array(
		'label'        => __( 'Footer Border Color', 'progression' ),
		'section'    => 'progression_background_colors',
		'settings'   => 'footer_border_progression',
		'priority'   => 18,
	)));
	
	$wp_customize->add_setting('footer_bg_progression', array(
	    'default'     => '#ffffff'
	));
	
	
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'footer_bg_progression', array(
		'label'        => __( 'Footer Background Color', 'progression' ),
		'section'    => 'progression_background_colors',
		'settings'   => 'footer_bg_progression',
		'priority'   => 19,
	)));
	
	
	$wp_customize->add_setting('content_contain_pro', array(
	    'default'     => '#ffffff'
	));
	
	
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'content_contain_pro', array(
		'label'        => __( 'Content Container Background Color', 'progression' ),
		'section'    => 'progression_background_colors',
		'settings'   => 'content_contain_pro',
		'priority'   => 20,
	)));
	
	
	$wp_customize->add_setting('content_contain_border', array(
	    'default'     => '#cacacb'
	));
	
	
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'content_contain_border', array(
		'label'        => __( 'Content Container Border Color', 'progression' ),
		'section'    => 'progression_background_colors',
		'settings'   => 'content_contain_border',
		'priority'   => 21,
	)));
	
	
	$wp_customize->add_setting('button_bg_progression', array(
	    'default'     => '#fdfdfd'
	));
	
	
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'button_bg_progression', array(
		'label'        => __( 'Button Background Color', 'progression' ),
		'section'    => 'progression_background_colors',
		'settings'   => 'button_bg_progression',
		'priority'   => 25,
	)));
	
	
	$wp_customize->add_setting('button_border_progression', array(
	    'default'     => '#b2b2b2'
	));
	
	
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'button_border_progression', array(
		'label'        => __( 'Button Border Color', 'progression' ),
		'section'    => 'progression_background_colors',
		'settings'   => 'button_border_progression',
		'priority'   => 28,
	)));
	
	$wp_customize->add_setting('button_hover_bg_progression', array(
	    'default'     => '#aaaaaa'
	));
	
	
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'button_hover_bg_progression', array(
		'label'        => __( 'Button Hover Background Color', 'progression' ),
		'section'    => 'progression_background_colors',
		'settings'   => 'button_hover_bg_progression',
		'priority'   => 30,
	)));
	
	

//Add Section Page of Background Colors
    $wp_customize->add_section(
        'progression_font_colors',
        array(
            'title' => __('Font Colors', 'progression'),
            'description' => 'Adjust font colors for the theme!',
            'priority' => 55,
        )
    );
	
	$wp_customize->add_setting('body_font_progression', array(
	    'default'     => '#686868'
	));
	
	
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'body_font_progression', array(
		'label'        => __( 'Body Font Color', 'progression' ),
		'section'    => 'progression_font_colors',
		'settings'   => 'body_font_progression',
		'priority'   => 5,
	)));
	
	
	$wp_customize->add_setting('body_link_progression', array(
	    'default'     => '#4a8ec9'
	));
	
	
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'body_link_progression', array(
		'label'        => __( 'Main Link Color', 'progression' ),
		'section'    => 'progression_font_colors',
		'settings'   => 'body_link_progression',
		'priority'   => 7,
	)));
	
	
	$wp_customize->add_setting('body_link_hover_progression', array(
	    'default'     => '#e84c3d'
	));
	
	
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'body_link_hover_progression', array(
		'label'        => __( 'Main Hover Link Color', 'progression' ),
		'section'    => 'progression_font_colors',
		'settings'   => 'body_link_hover_progression',
		'priority'   => 9,
	)));
	
	$wp_customize->add_setting('navigation_menu_color', array(
	    'default'     => '#8e8e8e'
	));
	
	
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'navigation_menu_color', array(
		'label'        => __( 'Navigation Link Color', 'progression' ),
		'section'    => 'progression_font_colors',
		'settings'   => 'navigation_menu_color',
		'priority'   => 12,
	)));
	
	
	$wp_customize->add_setting('navigation_selected_color', array(
	    'default'     => '#ffffff'
	));
	
	
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'navigation_selected_color', array(
		'label'        => __( 'Navigation Selected Color', 'progression' ),
		'section'    => 'progression_font_colors',
		'settings'   => 'navigation_selected_color',
		'priority'   => 13,
	)));
	
	
	
	
	$wp_customize->add_setting('sub_font_color', array(
	    'default'     => '#cccccc'
	));
	
	
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'sub_font_color', array(
		'label'        => __( 'Sub-Navigation Link Color', 'progression' ),
		'section'    => 'progression_font_colors',
		'settings'   => 'sub_font_color',
		'priority'   => 14,
	)));
	
	$wp_customize->add_setting('sub_font_hover_color', array(
	    'default'     => '#ffffff'
	));
	
	
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'sub_font_hover_color', array(
		'label'        => __( 'Sub-Navigation Hover Color', 'progression' ),
		'section'    => 'progression_font_colors',
		'settings'   => 'sub_font_hover_color',
		'priority'   => 15,
	)));
	
	$wp_customize->add_setting('heading_font_progression', array(
	    'default'     => '#404040'
	));
	
	
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'heading_font_progression', array(
		'label'        => __( 'Heading Font Color', 'progression' ),
		'section'    => 'progression_font_colors',
		'settings'   => 'heading_font_progression',
		'priority'   => 18,
	)));
	
	
	$wp_customize->add_setting('button_font_pro', array(
	    'default'     => '#4e4e4e'
	));
	
	
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'button_font_pro', array(
		'label'        => __( 'Button Font Color', 'progression' ),
		'section'    => 'progression_font_colors',
		'settings'   => 'button_font_pro',
		'priority'   => 20,
	)));
	
	
	$wp_customize->add_setting('button_hover_pro', array(
	    'default'     => '#ffffff'
	));
	
	
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'button_hover_pro', array(
		'label'        => __( 'Button Hover Font Color', 'progression' ),
		'section'    => 'progression_font_colors',
		'settings'   => 'button_hover_pro',
		'priority'   => 22,
	)));
	
	
	
	
	$wp_customize->add_setting('sidebar_font_pro', array(
	    'default'     => '#797979'
	));
	
	
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'sidebar_font_pro', array(
		'label'        => __( 'Sidebar Link Font Color', 'progression' ),
		'section'    => 'progression_font_colors',
		'settings'   => 'sidebar_font_pro',
		'priority'   => 25,
	)));
	

}
add_action( 'customize_register', 'progression_customizer' );


function progression_customize_css()
{
    ?>
 
<style type="text/css">
	body #logo, body #logo img {width:<?php echo get_theme_mod('logo_width', '157'); ?>px;}
	<?php if (get_theme_mod( 'comment_progression')) : ?><?php else: ?>body.page #comments {display:none;}<?php endif ?>
	.sf-menu a {margin-top:<?php echo get_theme_mod('header_padding', '24'); ?>px; margin-bottom:<?php echo get_theme_mod('header_padding', '24'); ?>px;}
	header .social-ico {margin-top:<?php echo get_theme_mod('header_padding', '24') + 5; ?>px;}
	header {background-image:url(<?php echo get_theme_mod( 'header_div_img', get_template_directory_uri() . '/images/header.png' ); ?>);}
	header {background-color:<?php echo get_theme_mod('header_bg', '#191919'); ?>;}
	.social-ico a i {color:<?php echo get_theme_mod('header_bg', '#191919'); ?>;}
	.sf-menu ul {background:<?php echo get_theme_mod('nav_bg', '#2c2c2c'); ?>;}
	.sf-menu ul:after {border-bottom: 9px solid <?php echo get_theme_mod('nav_bg', '#2c2c2c'); ?>;}
	.sf-menu a {border-right:1px solid <?php echo get_theme_mod('nav_bg_border', '#2f2f2f'); ?>;}
	#page-title {background-color:<?php echo get_theme_mod('page_title_bg', '#ffffff'); ?>;}
	footer {border-top:1px solid <?php echo get_theme_mod('footer_border_progression', '#cfcfcf'); ?>;}
	body, footer {background-color:<?php echo get_theme_mod('footer_bg_progression', '#ffffff'); ?>;}
	body #main a.button, body #main button.single_add_to_cart_button, body #main input.button, body.woocommerce-cart #main input.button.checkout-button, body #main button.button,
	body a.progression-button, body input.wpcf7-submit, body #main a.ls-sc-button.default, body a.more-link, body #main p.form-submit input#submit, ul#portfolio-sub-nav li a, .page-numbers span, .page-numbers a
	{background:<?php echo get_theme_mod('button_bg_progression', '#fdfdfd'); ?>; border:1px solid <?php echo get_theme_mod('button_border_progression', '#b2b2b2'); ?>;}
	body #main a.button:hover, body #main button.single_add_to_cart_button:hover, body #main input.button:hover, body.woocommerce-cart #main input.button.checkout-button:hover, body #main button.button:hover,
	body a.progression-button:hover, body input.wpcf7-submit:hover, body #main a.ls-sc-button.default:hover, body a.more-link:hover, body #main p.form-submit input#submit:hover, ul#portfolio-sub-nav li a:hover, ul#portfolio-sub-nav li.current-cat a,
	.page-numbers span.current, .page-numbers a:hover
	{background:<?php echo get_theme_mod('button_hover_bg_progression', '#aaaaaa'); ?>; border-color:<?php echo get_theme_mod('button_hover_bg_progression', '#aaaaaa'); ?>;}
	.content-container-pro {background:<?php echo get_theme_mod('content_contain_pro', '#ffffff'); ?>; border:1px solid <?php echo get_theme_mod('content_contain_border', '#cacacb'); ?>;}
	body {color:<?php echo get_theme_mod('body_font_progression', '#686868'); ?>;}
	a {color:<?php echo get_theme_mod('body_link_progression', '#4a8ec9'); ?>;}
	a:hover, #sidebar a:hover, a:hover h3 {color:<?php echo get_theme_mod('body_link_hover_progression', '#e84c3d'); ?>;}
	.sf-menu a {color:<?php echo get_theme_mod('navigation_menu_color', '#8e8e8e'); ?>;}
	body.tax-portfolio_type .current-portfolio_type-ancestor a, body.single-portfolio .current-portfolio-ancestor a, body.single-post .sf-menu li.current_page_parent a,
	.sf-menu li.current-menu-item a, .sf-menu li.current-menu-item a:visited, .sf-menu a:hover, .sf-menu li a:hover, .sf-menu a:hover, .sf-menu a:visited:hover, .sf-menu li.sfHover a, .sf-menu li.sfHover a:visited {
		color:<?php echo get_theme_mod('navigation_selected_color', '#ffffff'); ?>;
	}
	.sf-menu ul li a, .sf-menu ul li a:visited {color:<?php echo get_theme_mod('navigation_selected_color', '#ffffff'); ?>;  }
	.sf-menu li.sfHover li a, .sf-menu li.sfHover li a:visited, .sf-menu li.sfHover li li a, .sf-menu li.sfHover li li a:visited, .sf-menu li.sfHover li li li a, .sf-menu li.sfHover li li li a:visited, .sf-menu li.sfHover li li li li a, .sf-menu li.sfHover li li li li a:visited {
		color:<?php echo get_theme_mod('sub_font_color', '#cccccc'); ?>;
	}
	.sf-menu li li:hover, .sf-menu li li.sfHover, .sf-menu li li a:focus, .sf-menu li li a:hover, .sf-menu li li a:active, .sf-menu li li.sfHover a, .sf-menu li.sfHover li a:visited:hover, .sf-menu li li:hover a:visited,
	.sf-menu li li li:hover, .sf-menu li li li.sfHover, .sf-menu li li li a:focus, .sf-menu li li li a:hover, .sf-menu li li li a:active, .sf-menu li li li.sfHover a, .sf-menu li li.sfHover li a:visited:hover, .sf-menu li li li:hover a:visited,
	.sf-menu li li li li:hover, .sf-menu li li li li.sfHover, .sf-menu li li li li a:focus, .sf-menu li li li li a:hover, .sf-menu li li li li a:active, .sf-menu li li li li.sfHover a, .sf-menu li li li.sfHover li a:visited:hover, .sf-menu li li li li:hover a:visited,
	.sf-menu li li li li li:hover, .sf-menu li li li li li.sfHover, .sf-menu li li li li li a:focus, .sf-menu li li li li li a:hover, .sf-menu li li li li li a:active, .sf-menu li li li li li.sfHover a, .sf-menu li li li li.sfHover li a:visited:hover, .sf-menu li li li li li:hover a:visited  {
		color:<?php echo get_theme_mod('sub_font_hover_color', '#ffffff'); ?>;
	}
	h1, h2, h3, h4, h5, h6, h1 a, h2 a, h3 a, h4 a, h5 a, h6 a {color:<?php echo get_theme_mod('heading_font_progression', '#404040'); ?>;}
	#sidebar a {color:<?php echo get_theme_mod('sidebar_font_pro', '#797979'); ?>;}
	body #main a.button, body #main button.single_add_to_cart_button, body #main input.button, body.woocommerce-cart #main input.button.checkout-button, body #main button.button,
	body a.progression-button, body input.wpcf7-submit, body #main a.ls-sc-button.default span.ls-sc-button-inner, body a.more-link, body #main p.form-submit input#submit,
	ul#portfolio-sub-nav li a, .page-numbers span, .page-numbers a
	 {color:<?php echo get_theme_mod('button_font_pro', '#4e4e4e'); ?>;}
	 body #main a.button:hover, body #main button.single_add_to_cart_button:hover, body #main input.button:hover, body.woocommerce-cart #main input.button.checkout-button:hover, body #main button.button:hover,
	body a.progression-button:hover, body input.wpcf7-submit:hover, body #main a.ls-sc-button.default:hover span.ls-sc-button-inner, body a.more-link:hover, body #main p.form-submit input#submit:hover, 
	ul#portfolio-sub-nav li a:hover, ul#portfolio-sub-nav li.current-cat a, .page-numbers span.current, .page-numbers a:hover
	{color:<?php echo get_theme_mod('button_hover_pro', '#ffffff'); ?>;}
	#main {background-color:<?php echo get_theme_mod('body_bg_progression', '#e6e6e7'); ?>;}
	#main {	background-image:url(<?php echo get_theme_mod( 'body_pro_bg', get_template_directory_uri() . '/images/patterns/cloth_alike.png' ); ?>); }
	#main-image-pro, body #main .gallery-progression, .homepage-widget-blog { background:url(<?php echo get_theme_mod( 'body_feature_pro_bg', get_template_directory_uri() . '/images/patterns/new/classy_fabric.png' ); ?>); }
</style>
    <?php
}
add_action('wp_head', 'progression_customize_css');

